Package org.eclipse.birt.report.engine.api

# Class DataID

java.lang.Object
org.eclipse.birt.report.engine.api.DataID

public class DataID extends Object
the data id of the data used by an instance.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`cellId`
Id of the cell.
`protected DataSetID`
`dataSet`
Data set id.
`protected long`
`rowId`
Id of the row.

## Constructor Summary

Constructors
Constructor
Description
`DataID(DataSetID dataSet, long rowId)`
Create the new data id instance.
`DataID(DataSetID dataSet, String cellId)`
Create the new data id instantce.

## Method Summary

Modifier and Type
Method
Description
`void`
`append(StringBuffer buffer)`
add the instance id to the string buffer.
`boolean`
`equals(Object a)`
`String`
`getCellID()`
Return the cell id.
`DataSetID`
`getDataSetID()`
return the data set.
`long`
`getRowID()`
Return the row id.
`static DataID`
`parse(String dataId)`
create a new data id instance from the string.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### dataSet

protected DataSetID dataSet
Data set id.

### rowId

protected long rowId
Id of the row.

### cellId

protected String cellId
Id of the cell.

## Constructor Details

### DataID

public DataID(DataSetID dataSet, long rowId)
Create the new data id instance.

Parameters:
  `dataSet` - data set
  `rowId` - row id

### DataID

public DataID(DataSetID dataSet, String cellId)
Create the new data id instantce.

Parameters:
  `dataSet` - data set
  `cellId` - cell id

## Method Details

### getDataSetID

public DataSetID getDataSetID()
return the data set.

Returns:

### getRowID

public long getRowID()
Return the row id.

Returns:

### getCellID

public String getCellID()
Return the cell id.

Returns:

### append

public void append(StringBuffer buffer)
add the instance id to the string buffer. It is a util class used by other internal packages.

Parameters:
  `buffer` -

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object a)

Overrides:
  `equals` in class `Object`

### parse

public static DataID parse(String dataId)
create a new data id instance from the string.

Parameters:
  `dataId` - string representation of the data id
Returns:
  data id instance.